--- src/wmmgr.cc.orig	2022-05-21 20:08:10.726841769 +0100
+++ src/wmmgr.cc	2022-05-21 20:09:58.833848510 +0100
@@ -3122,15 +3122,15 @@
 }
 
 void YWindowManager::switchToPrevWorkspace(bool takeCurrent) {
-    long nw = (activeWorkspace() + workspaceCount() - 1) % workspaceCount();
-
-    switchToWorkspace(nw, takeCurrent);
+    long nw = activeWorkspace();
+    if( nw > 0 )
+        switchToWorkspace(nw - 1, takeCurrent);
 }
 
 void YWindowManager::switchToNextWorkspace(bool takeCurrent) {
-    long nw = (activeWorkspace() + 1) % workspaceCount();
-
-    switchToWorkspace(nw, takeCurrent);
+    long nw = activeWorkspace() + 1;
+    if( nw < workspaceCount() )
+        switchToWorkspace(nw, takeCurrent);
 }
 
 void YWindowManager::switchToLastWorkspace(bool takeCurrent) {
